<template>
  <form class="newsletter-atom" :action="newsletterLink" target="_blank">
    <div class="form-group">
      <div class="input-group">
        <input
          id="email"
          v-model="email"
          name="email"
          type="email"
          class="form-control"
          placeholder="E-Mail-Adresse"
          required
        />
      </div>
    </div>
    <div
      class="
        form-group
        d-md-flex
        align-items-md-center
        justify-content-md-between
        mb-0
      "
    >
      <atom-checkbox :class="variant">
        <nuxt-link to="/datenschutz">Datenschutz</nuxt-link> akzeptieren
      </atom-checkbox>
      <button name="submit" type="submit" class="btn btn-primary submit">
        Anmelden
      </button>
    </div>
  </form>
</template>

<script>
export default {
  props: {
    variant: {
      type: String,
      default: '',
    },
  },
  data() {
    return {
      email: null,
    };
  },
  computed: {
    newsletterLink() {
      let storeLink = this.$store.state.options.newsletterForm;

      if (this.email != null && this.email !== '') {
        storeLink += `?email=${this.email}`;
      }

      return storeLink;
    },
  },
}
</script>

<style lang="scss">
.newsletter-atom {
  .form-control {
    height: auto;
    padding: 0.375rem 0;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5em;
    color: $black;
    letter-spacing: 0.2px;
    border: none;
    border-bottom: 2px solid $black;
    border-radius: 0;
    background-color: transparent;

    &::placeholder {
      color: $black;
      opacity: 1;
    }

    &:focus {
      background-color: transparent;
      border-color: inherit;
      color: inherit;
      box-shadow: none;
    }
  }

  .submit {
    display: block;
    margin: 3rem auto 0;

    @include media-breakpoint-up(md) {
      display: inline-block;
      margin: 0;
    }
  }
}
</style>
